Subject: bug#17394: 24.4.50; enhancement request: split `next-error-function' functionality in two

From: Ted Zlatanov <[email-masked]>
Date: Thu, 05 Jun 2014 10:27:06 -0400

On Fri, 2 May 2014 21:30:41 -0700 (PDT) Drew Adams <[email-masked]> wrote: 

DA> Enhancement request, to make the `next-error' feature, or more precisely
DA> the buffers that offer it, more usable by other Lisp functions.
...
DA> Essentially, I want a wrapper that provides a common interface to the
DA> hit information that is stored in the different error buffers in
DA> different ways.  AFAICT, there is no such feature today, but let me know
DA> if I'm missing something obvious.  And let me know if this request is
DA> not clear to you.

This may work for some modes but not others. The `next-error' facility
is opaque to the caller because each mode has to decide what makes sense
in terms of locations and motion to them. So I think trying to expose
more of the internals and formalize them would limit the ways in which
it can be useful.

Ted